/*
 * This file is generated by jOOQ.
 */
package de.ship.clip.db.tables.records;


import de.ship.clip.db.tables.TDisplaylabel;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDisplaylabelRecord extends UpdatableRecordImpl<TDisplaylabelRecord> implements Record3<Integer, String, String> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>config.t_displaylabel.pk</code>.
     */
    public void setPk(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>config.t_displaylabel.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>config.t_displaylabel.label</code>.
     */
    public void setLabel(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>config.t_displaylabel.label</code>.
     */
    public String getLabel() {
        return (String) get(1);
    }

    /**
     * Setter for <code>config.t_displaylabel.langkey</code>.
     */
    public void setLangkey(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>config.t_displaylabel.langkey</code>.
     */
    public String getLangkey() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record3 type implementation
    // -------------------------------------------------------------------------

    @Override
    public Row3<Integer, String, String> fieldsRow() {
        return (Row3) super.fieldsRow();
    }

    @Override
    public Row3<Integer, String, String> valuesRow() {
        return (Row3) super.valuesRow();
    }

    @Override
    public Field<Integer> field1() {
        return TDisplaylabel.T_DISPLAYLABEL.PK;
    }

    @Override
    public Field<String> field2() {
        return TDisplaylabel.T_DISPLAYLABEL.LABEL;
    }

    @Override
    public Field<String> field3() {
        return TDisplaylabel.T_DISPLAYLABEL.LANGKEY;
    }

    @Override
    public Integer component1() {
        return getPk();
    }

    @Override
    public String component2() {
        return getLabel();
    }

    @Override
    public String component3() {
        return getLangkey();
    }

    @Override
    public Integer value1() {
        return getPk();
    }

    @Override
    public String value2() {
        return getLabel();
    }

    @Override
    public String value3() {
        return getLangkey();
    }

    @Override
    public TDisplaylabelRecord value1(Integer value) {
        setPk(value);
        return this;
    }

    @Override
    public TDisplaylabelRecord value2(String value) {
        setLabel(value);
        return this;
    }

    @Override
    public TDisplaylabelRecord value3(String value) {
        setLangkey(value);
        return this;
    }

    @Override
    public TDisplaylabelRecord values(Integer value1, String value2, String value3) {
        value1(value1);
        value2(value2);
        value3(value3);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDisplaylabelRecord
     */
    public TDisplaylabelRecord() {
        super(TDisplaylabel.T_DISPLAYLABEL);
    }

    /**
     * Create a detached, initialised TDisplaylabelRecord
     */
    public TDisplaylabelRecord(Integer pk, String label, String langkey) {
        super(TDisplaylabel.T_DISPLAYLABEL);

        setPk(pk);
        setLabel(label);
        setLangkey(langkey);
        resetChangedOnNotNull();
    }
}
